Skip to main content
POST
Create a share link

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

project_id
string<uuid>
required
report_id
string<uuid>
required

Body

application/json

Request body for generating a public share link for a report.

expires_at
string<date-time> | null

Optional UTC datetime at which the share link becomes inactive. Null means the link never expires.

password
string | null

Optional password to gate access to the shared report. Must be at least 4 characters when provided.

Minimum string length: 4

Response

Successful Response

success
boolean
default:true
data
ReportShareResponse · object | null

A public share link record for a report.